#! /bin/sh
#20101021
 #gcc lin4leic.c -o lin4leic

if [ -d '/opt' ]
then
echo
echo 'katalog /opt istnieje i zostanie zachowany'
else

echo 'brak katalogu  /opt - intalacja przerwana'
echo 'prosze utworzyc katalog /opt i spobawac ponownie'
exit
fi


if [ -d '/opt/zeletronik' ]
then
echo
echo 'katalog /opt/zeletronik/ istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik
chmod 755 /opt/zeletronik
echo 'zlecono stworzonie katalogu /opt/zeletronik/ '
fi



if [ -d '/opt/zeletronik/bin' ]
then
echo
echo 'katalog /opt/zeletronik/bin istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/bin
chmod 755 /opt/zeletronik/bin
echo 'zlecono stworzenie katalogu /opt/zeletronik/bin '
fi

if [ -d '/opt/zeletronik/conf' ]
then
echo
echo 'katalog /opt/zeletronik/conf istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/conf
chmod 755 /opt/zeletronik/conf
echo 'zlecono stworzenie katalogu /opt/zeletronik/conf '
fi

if [ -d '/opt/zeletronik/reports' ]
then
echo
echo 'katalog /opt/zeletronik/reports istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/reports
chmod 755 /opt/zeletronik/reports
echo 'zlecono stworzenie katalogu /opt/zeletronik/reports '
fi


if [ -d '/opt/zeletronik/ramdisk' ]
then
echo
echo 'katalog /opt/zeletronik/ramdisk istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/ramdisk
chmod 755 /opt/zeletronik/ramdisk
echo 'zlecono stworzenie katalogu /opt/zeletronik/ramdisk '
fi

if [ -d '/opt/zeletronik/log' ]
then
echo
echo 'katalog /opt/zeletronik/log istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/log
chmod 755 /opt/zeletronik/log
echo 'zlecono stworzenie katalogu /opt/zeletronik/log '
fi

if [ -d '/opt/zeletronik/src' ]
then
echo
echo 'katalog /opt/zeletronik/src istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/src
chmod 755 /opt/zeletronik/src
echo 'zlecono stworzenie katalogu /opt/zeletronik/src '
fi

if [ -d '/opt/zeletronik/help' ]
then
echo
echo 'katalog /opt/zeletronik/help istnieje i zostanie zachowany'
else
mkdir /opt/zeletronik/help
chmod 755 /opt/zeletronik/help
echo 'zlecono stworzenie katalogu /opt/zeletronik/help '
fi

#--------------------------drzewo katalogow gotowe




#----------program obsługi portu tworzacy raporty zrodlowe 
if [ -f '/opt/zeletronik/bin/lin4leic' ]
then
echo
echo 'program /opt/zeletronik/bin/lin4leic isnieje i zostanie zmieniony'
rm /opt/zeletronik/bin/lin4leic
fi
cp ../bin/lin4leic /opt/zeletronik/bin
echo 'zlecono wkopiowane programu /opt/zeletronik/bin/lin4leic '


#----------program przetwarzajacy pliki zrodlowe
if [ -f '/opt/zeletronik/bin/lin4leic_rep' ]
then
echo
echo 'program /opt/zeletronik/bin/lin4leic_rep isnieje i zostanie zmieniony'
rm /opt/zeletronik/bin/lin4leic_rep
fi
cp ../bin/lin4leic_rep  /opt/zeletronik/bin
echo 'zlecono wkopiowane programu /opt/zeletronik/bin/lin4leic_rep '


#----------program wysylajacy pliki .csv na ftp
if [ -f '/opt/zeletronik/bin/letronikSyncFtp.sh' ]
then
echo
echo 'program /opt/zeletronik/bin/letronikSyncFtp.sh isnieje i zostanie zmieniony'
rm /opt/zeletronik/bin/letronikSyncFtp.sh
fi
cp ../bin/letronikSyncFtp.sh  /opt/zeletronik/bin
echo 'zlecono wkopiowane programu /opt/zeletronik/bin/letronikSyncFtp.sh '

#----------program wysylajacy tworzący index na  ftp
if [ -f '/opt/zeletronik/bin/indexFtp.sh' ]
then
echo
echo 'program /opt/zeletronik/bin/indexFTP.sh isnieje i zostanie zmieniony'
rm /opt/zeletronik/bin/letronikSyncFtp.sh
fi
cp ../bin/indexFTP.sh  /opt/zeletronik/bin
echo 'zlecono wkopiowane programu /opt/zeletronik/bin/indexFTP.sh '

#------------lin4leic.conf
if [ -f '/opt/zeletronik/conf/lin4leic.conf' ]
then
echo
echo 'plik konfigracyjny /opt/zeletronik/conf/lin4leic.conf istnieje i bedzie zachowany'
else

cp ../conf/lin4leic.conf /opt/zeletronik/conf/
echo 'zlecono wkopiowanie pliku konfigracyjny lin4leic.conf '
fi

#------------lin4leic.conf
if [ -f '/opt/zeletronik/conf/leicMain.conf' ]
then
echo
echo 'plik konfigracyjny /opt/zeletronik/conf/leicMain.conf istnieje i bedzie zachowany'
else

cp ../conf/leicMain.conf /opt/zeletronik/conf/
echo 'zlecono wkopiowanie pliku konfigracyjnego leicMain.conf '
fi

echo
echo 'jezeli powyzej nie ma komunikatow o bledach, to chyba sie udalo'


echo
echo 'modyfikacja /etc/fstab'
echo 'nalezy dopisac do /etc/fstab linię:'
echo 'tmpfs /opt/zeletronik/ramdisk tmpfs size=64M,nr_inodes=10k,mode=1777 0 0'
echo 
echo 'modyfikacja /etc/rc.local'
echo 'aby program startował z systemem'
echo 'dopisac  linie do /etc/rc.local (opcja -vv tworzy logi diagnostyczne)' 
echo '/opt/zeletronik/bin/lin4leic -vv &'
echo 'exit 0'
echo
echo 'sprawdzanie listy zadan cron_a :'
echo '$ sudo crontab -l '
echo '[sudo] password for les: '
echo '# m h  dom mon dow   command'
echo '#tworzenie rapotow licznika osob'
echo '5 * * * *                                       /opt/zeletronik/bin/lin4leic_rep'
echo
echo 'zmiana listy zadan cron_a :'
echo '$ sudo crontab -e '



echo '-----------------------'
echo 'skrypty'
echo 'letronikSyncFtp.sh - sychronizacja katalogu na FTP'
echo 'csvList.sh - tworzenie indeksu raportów na FTP'
echo 'uruchamiac w zadanym casie za pomoca CRON-a'





 
